Page MenuHomePhabricator

Raw edit summary is shown in Wikidata user contribution page in mobile view
Closed, ResolvedPublic2 Estimated Story PointsBUG REPORT

Description

Problem:
On mobile when viewing a user's contributions on their user contrib page the edit summaries are shown raw and not in a human-readable translated form.

-> While the mobile version of this page is broken, we should show the desktop version of this page (see https://phabricator.wikimedia.org/T283988#7158283 for details)

Example:
The current edit wikidata summary in the mobile version of the view looks like this:

12 January 2021
Q94204044
wbsetclaim-create:2||1: instance of (P‎31): human (Q5)

Link to broken example: https://m.wikidata.org/wiki/Special:Contributions/KrBot

And the summary of expectations should look like this:

12 January 2021
Q94204044
Created claim: instance of (P‎31): human (Q5)

Screenshots/mockups:

Screenshot_20210609_154406_com.android.chrome_edit_39264484680987.jpg (1×1 px, 196 KB)

Acceptance criteria:

  • user contrib page on mobile shows the desktop version

Developer notes

T283988#7158283

We'll push a config change after

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
IN updated the task description. (Show Details)
IN renamed this task from Change display of edit summary in wikidata mobile version view to Incorrect shown of edit summary in wikidata mobile version view.May 30 2021, 3:46 PM
IN changed the subtype of this task from "Feature Request" to "Bug Report".Jun 1 2021, 10:59 AM

It looks more like a bug, and I'm going to move subtype around so that more people know about it.

Hi @IN. We tested it on https://m.wikidata.org/w/index.php?title=Q2&action=history and the result is the screenshot here:

image.png (788×1 px, 128 KB)

This looks good to me. Are you seeing something else? Or are you using a different system/browser/...?

Are you seeing something else? Or are you using a different system/browser/...?

Sorry, my content may be a little ambiguous. I mean is that the user contrib page edit summary is wrong:

Screenshot_20210609_154406_com.android.chrome_edit_39264484680987.jpg (1×1 px, 196 KB)

IN renamed this task from Incorrect shown of edit summary in wikidata mobile version view to Incorrect shown of edit summary in wikidata user contribution page's mobile version view.Jun 9 2021, 7:39 AM

@Addshore do you know if this is on us to fix or WMF?

@Addshore do you know if this is on us to fix or WMF?

Although I don't know, but can you write a patch for it first?

I also found similar errors in the testwikidata:

IMG_20210612_212148.jpg (2×1 px, 356 KB)
The test was done on my user contrib page. Do I need create another mission for this?

Lydia_Pintscher renamed this task from Incorrect shown of edit summary in wikidata user contribution page's mobile version view to Raw edit summary is shown in Wikidata user contribution page in mobile view.Jun 15 2021, 7:47 AM
Lydia_Pintscher updated the task description. (Show Details)

We discovered this additional issue while looking into this: T284978

Perhaps showing the desktop version of this page makes sense for Wikidata?

desktop VersionMobileFrontend version
Screen Shot 2021-06-15 at 9.44.30 AM.png (1×1 px, 265 KB)
Screen Shot 2021-06-15 at 9.44.40 AM.png (1×1 px, 193 KB)

If so, we have the globals $wgUseDesktopSpecialWatchlistPage and $wgUseMFUseDesktopSpecialHistoryPage for disabling the watchlist and history page overrides but we don't seem to have one for the contributions page which would allow you to configure this off. Adding one would not be a large amount of work, and I'm happy to help support engineers on the Wikidata side if that's an option.

If that's not an option you'll want to talk to Olga about us carving some time out for this page. Development on this feature/page is pretty much frozen given the epic goal of T210168.

@Jdlrobson Thank you for your answer! We have just realized that this also concerns the mobile version of Wikimedia Commons:

image.png (1×805 px, 140 KB)

Considering T210168 I guess you would still recommend we show the desktop version of this page on Wikidata, right? Would the same be true for Wikimedia Commons?

I've asked our product owner @ovasileva to wade in here about the best course of action.

Hi @Jdlrobson, thank you for reaching out to @ovasileva about this! Is there any news yet?

@Manuel, @Jdlrobson - Sorry for the delayed reply here. I think showing the desktop version for both wikidata and commons would be fine (@Lydia_Pintscher so long as that's okay with you) . That said, are we expecting this to be a wider issue? Do we know what is causing it?

ovasileva triaged this task as Medium priority.Jul 14 2021, 4:33 PM
Jdlrobson removed Jdlrobson as the assignee of this task.
Jdlrobson updated the task description. (Show Details)

Change 707418 had a related patch set uploaded (by Bernard Wang; author: Bernard Wang):

[mediawiki/extensions/MobileFrontend@master] Add flag to enable usage of the desktop contributions page

https://gerrit.wikimedia.org/r/707418

bwang removed bwang as the assignee of this task.Jul 23 2021, 5:10 PM
bwang added a subscriber: bwang.
IN edited projects, added Wikidata; removed Mobile.
IN added a project: Mobile.

I'm sorry, I accidentally broke the tags.

Change 707418 had a related patch set uploaded (by Jdlrobson; author: Bernard Wang):

[mediawiki/extensions/MobileFrontend@master] Add flag to enable usage of the desktop contributions page

https://gerrit.wikimedia.org/r/707418

This will need a backport for wikidata once the feature flag is available (earliest Wednesday)

Change 707418 merged by jenkins-bot:

[mediawiki/extensions/MobileFrontend@master] Add flag to enable usage of the desktop contributions page

https://gerrit.wikimedia.org/r/707418

Jdlrobson moved this task from QA to Doing on the Readers-Web-Backlog (Kanbanana-FY-2020-21) board.
Jdlrobson added a subscriber: Edtadros.

I don't think this can be QAed, but I will backport this Wednesday and make sure it works okay.

Change 708158 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[operations/mediawiki-config@master] Disable mobile contributions simplifications on Wikidata

https://gerrit.wikimedia.org/r/708158

Change 708158 merged by jenkins-bot:

[operations/mediawiki-config@master] Disable mobile contributions simplifications on Wikidata and Commons

https://gerrit.wikimedia.org/r/708158

Mentioned in SAL (#wikimedia-operations) [2021-07-28T23:50:37Z] <thcipriani@deploy1002> Synchronized wmf-config: Config: [[gerrit:708158|Disable mobile contributions simplifications on Wikidata and Commons (T283988)]] (duration: 01m 58s)

Thank you all for solving this!